%global debug_package %{nil}


Name:		cde
Version:	2.5.2
Release:        1	
Summary:	CDE
License:	GPL

Packager:	Neil Zieses
Source0:	%{name}-%{version}.tar.gz

Patch0:		cde-dtappg.diff

#BuildRequires:  fakeroot
BuildRequires:  autoconf
BuildRequires:  automake
BuildRequires:  libtool
BuildRequires:  gcc
BuildRequires:  make	
BuildRequires:  ksh
BuildRequires:  rpcgen
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  perl
BuildRequires:  byacc
BuildRequires:  ncompress
BuildRequires:  tcl-devel
BuildRequires:  motif
BuildRequires:  bdftopcf
BuildRequires:  mkfontdir
BuildRequires:  opensp 
BuildRequires:  openmotif-devel
BuildRequires:  libtirpc-devel
BuildRequires:  xorg-x11-font-utils
BuildRequires:  xorg-x11-proto-devel
BuildRequires:  xorg-x11-xbitmaps
BuildRequires:  libX11-devel
BuildRequires:  libXdmcp-devel
BuildRequires:  libXt-devel
BuildRequires:  libXaw-devel
BuildRequires:  libXinerama-devel
BuildRequires:  libXScrnSaver-devel
BuildRequires:  libXp-devel
BuildRequires:  libXpm-devel
BuildRequires:  libXmu-devel

BuildRequires:  libutempter-devel
BuildRequires:  sessreg
BuildRequires:  pam-devel
BuildRequires:  glibc-all-langpacks

Requires:	rpcbind 
#define _unpackaged_files_terminate_build 0

%description
Common Desktop Environment

%prep
%autosetup -p1  

export CFLAGS+=-fPIE
export CCFLAGS+=-fPIE
export CXXFLAGS+=-fPIE

./autogen.sh
./configure --with-gnu-ld 
#\
#		--enable-german  \
#		--enable-italian \
#		--enable-french \
#		--enable-spanish \
#		--enable-japanese \
#		--enable-misc-fixed
		
%build
%make_build

%install
%make_install

mkdir -p %{buildroot}%{_prefix}/share/xsessions
cp contrib/desktopentry/cde.desktop %{buildroot}%{_prefix}/share/xsessions/

mkdir -p %{buildroot}%{_sysconfdir}/xinet.d
cp contrib/xinetd/* %{buildroot}%{_sysconfdir}/xinet.d/

mkdir -p %{buildroot}%{_prefix}/dt/bin
cp contrib/desktop2dt/desktop2dt %{buildroot}%{_prefix}/dt/bin/
chmod 755 %{buildroot}%{_prefix}/dt/bin/desktop2dt

%post
#setenforce 0
#echo "SELINUX=disabled" > /etc/selinux/config
#echo "SELINUXTYPE=targeted" >> /etc/selinux/config

%files
%license copyright COPYING
%doc README.md HISTORY
%{_sysconfdir}/pam.d/
%{_sysconfdir}/xinet.d/
%{_prefix}/dt/
%{_prefix}/share/xsessions/

%changelog
* Tue Dec 19 2023 Marie Loise Nolden <loise@kde.org> - 2.5.2-1
- 2.5.2

* Fri Apr 7 2023 Marie Loise Nolden <loise@kde.org> - 2.5.1-1
- rework spec file for 2.5.1 version provided by Neil Zieses originally
  in his cdesktopenv rpms
